Subject: Re: linux-next: build failure after merge of the userns tree

From: [email-masked] (Eric W. Biederman)
Date: Wed, 20 Oct 2021 11:00:14 -0500

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> After merging the userns tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> In file included from arch/x86/include/asm/bug.h:84,
>                  from include/linux/bug.h:5,
>                  from arch/x86/include/asm/paravirt.h:15,
>                  from arch/x86/include/asm/irqflags.h:63,
>                  from include/linux/irqflags.h:16,
>                  from include/linux/rcupdate.h:26,
>                  from include/linux/rculist.h:11,
>                  from include/linux/pid.h:5,
>                  from include/linux/sched.h:14,
>                  from security/keys/process_keys.c:9:
> security/keys/process_keys.c: In function 'key_change_session_keyring':
> security/keys/process_keys.c:923:16: error: format '%s' expects a matching 'char *' argument [-Werror=format=]
>   923 |   WARN_ONCE(1, "In %s get_ucounts failed\n");
>       |                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
> include/asm-generic/bug.h:99:17: note: in definition of macro '__WARN_printf'
>    99 |   __warn_printk(arg);     \
>       |                 ^~~
> include/linux/once_lite.h:19:4: note: in expansion of macro 'WARN'
>    19 |    func(__VA_ARGS__);    \
>       |    ^~~~
> include/asm-generic/bug.h:150:2: note: in expansion of macro 'DO_ONCE_LITE_IF'
>   150 |  DO_ONCE_LITE_IF(condition, WARN, 1, format)
>       |  ^~~~~~~~~~~~~~~
> security/keys/process_keys.c:923:3: note: in expansion of macro 'WARN_ONCE'
>   923 |   WARN_ONCE(1, "In %s get_ucounts failed\n");
>       |   ^~~~~~~~~
> security/keys/process_keys.c:923:21: note: format string is defined here
>   923 |   WARN_ONCE(1, "In %s get_ucounts failed\n");
>       |                    ~^
>       |                     |
>       |                     char *
> cc1: all warnings being treated as errors
>
> Caused by commit
>
>   346b5b4aa656 ("ucounts: Move get_ucounts from cred_alloc_blank to key_change_session_keyring")
>
> I have used the userns tree from next-20211019 for today.

Thank you very much for catching that.

I am now quite embarrassed I did not catch that myself.

Eric